"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var isCropping = _ref.isCropping;
  var children = _ref.children;


  var childNodes = [];

  _react2.default.Children.forEach(children, function (child) {
    var showOnlyWhen = child.props.showOnlyWhen;


    if (isCropping && showOnlyWhen === "croppingIsOn") {
      childNodes.push(child);
    } else if (!isCropping && showOnlyWhen === "croppingIsOff") {
      childNodes.push(child);
    }
  });

  return _react2.default.createElement(
    "span",
    null,
    childNodes
  );
};