'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FilePicker = function (_React$Component) {
  _inherits(FilePicker, _React$Component);

  function FilePicker() {
    _classCallCheck(this, FilePicker);

    return _possibleConstructorReturn(this, Object.getPrototypeOf(FilePicker).apply(this, arguments));
  }

  _createClass(FilePicker, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props;
      var onChange = _props.onChange;
      var hasFile = _props.hasFile;
      var btnStyle = {
        display: hasFile ? 'none' : 'block',
        width: '100%',
        background: 'inherit',
        border: 'inherit',
        color: '#bbb'
      };
      var iconStyle = {
        width: '100%',
        display: 'block',
        fontSize: '240px'
      };
      var textStyle = {
        fontSize: '34px'
      };
      var onClick = function onClick() {
        _this2.refs.fileInput.click();
      };
      return _react2.default.createElement(
        'button',
        { style: btnStyle, onClick: onClick, type: 'button', className: 'filepicker' },
        _react2.default.createElement('span', { style: iconStyle, className: 'icon icon-image' }),
        _react2.default.createElement(
          'span',
          { style: textStyle },
          'Select image'
        ),
        _react2.default.createElement('input', { ref: 'fileInput', style: { display: 'none' }, type: 'file', onChange: onChange })
      );
    }
  }]);

  return FilePicker;
}(_react2.default.Component);
/*
onChange,
hasFile,
onClick:  => {
 },
}) => (
);
*/


exports.default = FilePicker;