'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var children = _ref.children;


  var childNodes = [];

  _react2.default.Children.forEach(children, function (child) {
    childNodes.push(child);
  });

  return _react2.default.createElement(
    'menu',
    null,
    _react2.default.createElement(
      'ul',
      null,
      childNodes.map(function (childNode, index) {
        return _react2.default.createElement(
          'li',
          { key: index },
          childNode
        );
      })
    )
  );
};